*,
*:before,
*:after {
  margin: 0;
  padding: 0;
  outline: none;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-overflow-scrolling: touch;
}

html,
body {
  height: 100%;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-overflow-scrolling: touch;
}

body {
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, PingFang SC,
    Hiragino Sans GB, Microsoft YaHei, Helvetica Neue, Helvetica, Arial,
    sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol;
  position: relative;
  color: #666;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-rendering: optimizeLegibility;
  overflow: hidden;
  -webkit-text-size-adjust: 100%;
}

html,
body {
  scroll-behavior: smooth;
}

table,
th,
td {
  border-collapse: collapse !important;
}

#__nuxt {
  width: 100%;
  /* height: 100%; */
  /* height: fit-content; */
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  /* overflow: scroll; */
  background: #11091a;
}

#__layout {
  /* height: 100%; */
  width: 100%;
  height: 100%;
  /* height: fit-content; */
  position: fixed;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  overflow: scroll;
  overflow-x: none;
  background: #11091a;
  
}

ul,
li {
  list-style: none;
}

*:not(input) {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.page-enter-active,
.page-leave-active {
  transition: all 0.2s;
}

.page-enter,
.page-leave-active {
  opacity: 0;
}
